package com.fjhx.form.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.form.entity.RemitDetailSelectDto;
import com.fjhx.form.entity.RemitDetailVo;
import com.fjhx.form.entity.SubjectBalanceBo;
import com.fjhx.form.entity.SubjectBalanceSelectDto;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

public interface FinanceReportService {
    List<SubjectBalanceBo> subjectBalance(SubjectBalanceSelectDto dto);

    /**
     * 汇款明细
     */
    Page<RemitDetailVo> getRemitDetailPage(RemitDetailSelectDto dto);

    @Log(title = "汇款明细", businessType = BusinessType.EXPORT)
    void remitDetailExcelExport(RemitDetailSelectDto dto, HttpServletResponse httpServletResponse);
}
